---
title: Create a new account for anonymous user
slug: cms-12/api/create-a-new-account-for-anonymous-user
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "a5eGtk896HzSb4n7KG_Ag",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "/api/episerver/v3.0/me/signup",
    "servers": [],
    "name": "Create a new account for anonymous user",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Model for creating user accounts",
          "customType": "signUp",
          "schema": [
            {
              "name": "username",
              "kind": "required",
              "type": "string",
              "description": "The username of the user"
            },
            {
              "name": "password",
              "kind": "required",
              "type": "string",
              "description": "The password of the user."
            },
            {
              "name": "email",
              "kind": "required",
              "type": "string",
              "description": "The email of the user."
            },
            {
              "name": "customerId",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "The unique customer id"
            },
            {
              "name": "firstName",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "The first namr of the user"
            },
            {
              "name": "lastName",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "The last name of the user"
            },
            {
              "name": "optinToMarketing",
              "kind": "optional",
              "type": "boolean",
              "description": "Allow for opt in marketing."
            },
            {
              "name": "success",
              "kind": "optional",
              "type": "boolean",
              "description": "The result was successful"
            },
            {
              "name": "errors",
              "kind": "optional",
              "type": "array",
              "nullable": true,
              "description": "The errors",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            }
          ],
          "modelRef": "#/components/schemas/signUp",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Success",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Model for creating user accounts",
            "customType": "signUp",
            "schema": [
              {
                "name": "username",
                "kind": "required",
                "type": "string",
                "description": "The username of the user"
              },
              {
                "name": "password",
                "kind": "required",
                "type": "string",
                "description": "The password of the user."
              },
              {
                "name": "email",
                "kind": "required",
                "type": "string",
                "description": "The email of the user."
              },
              {
                "name": "customerId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The unique customer id"
              },
              {
                "name": "firstName",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The first namr of the user"
              },
              {
                "name": "lastName",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The last name of the user"
              },
              {
                "name": "optinToMarketing",
                "kind": "optional",
                "type": "boolean",
                "description": "Allow for opt in marketing."
              },
              {
                "name": "success",
                "kind": "optional",
                "type": "boolean",
                "description": "The result was successful"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "The errors",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/signUp",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "F1J6GWKKvCPSM0l7au-al",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url /api/episerver/v3.0/me/signup \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"username\": \"\",\n     \"password\": \"\",\n     \"email\": \"\"\n     }'"
        },
        {
          "id": "ps4hDPAhbfy4I0UVp1xkC",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"username\": \"\",\n   \"password\": \"\",\n   \"email\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/me/signup\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "TpO4n_VVdsmN3fE864c-u",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/me/signup\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"username\": \"\",\n   \"password\": \"\",\n   \"email\": \"\"\n})\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "0Og4whjhMeFzBTRdoGnK_",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/me/signup\"\n\npayload = json.dumps({\n   \"username\": \"\",\n   \"password\": \"\",\n   \"email\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "F1J6GWKKvCPSM0l7au-al"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Success\n{\n  \"username\": \"\",\n  \"password\": \"\",\n  \"email\": \"\",\n  \"customerId\": \"\",\n  \"firstName\": \"\",\n  \"lastName\": \"\",\n  \"optinToMarketing\": false,\n  \"success\": false,\n  \"errors\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}